Subject: Re: bug#11945: 24.1.50; emacs crash

From: Yagnesh Raghava Yakkala <[email-masked]>
Date: Tue, 11 Sep 2012 03:44:39 +0900

Hello Eli,

Eli Zaretskii <[email-masked]> writes:

>> From: Yagnesh Raghava Yakkala <[email-masked]>
>> Cc: [email-masked]
>> Date: Mon, 10 Sep 2012 22:22:01 +0900
>> 
>> > The value of c (4195374 = 0x40042e) doesn't make sense, I think.  It's
>> > an invalid character.  Please tell what does this display:
>> >
>> >  (gdb) frame 2
>> >  (gdb) p it->string
>> >  (gdb) xstring
>> >
>> > Also, in the same frame, what does this display:
>> >
>> >  (gdb) pgrowx it->glyph_row
>> >
>> > For these commands to work, you need either to start GDB from the src
>> > directory, or type "source /path/to/emacs/src/.gdbinit" from inside
>> > GDB.
>> 
>> the system is temporarily unavailable now.
>> 
>> similar crash occurred on my laptop(ubuntu 12.04), back trace is attached. and
>> I kept the gdb console open, please ask for further info.
>
> I need the same info as before: please perform the commands shown
> above and post the results.

i did as you said, seems with the last command even gdb gave up. here is the
shell copy & paste

--8<---------------cut here---------------start------------->8---
(gdb) frame 2
#2  0x0000000000435193 in compute_stop_pos (it=0x7fffffff60e0) at xdisp.c:3395
3395	      composition_compute_stop_pos (&it->cmp_it, charpos, bytepos,
(gdb) p it->string
$1 = 48236721
(gdb) xstring
$2 = (struct Lisp_String *) 0x2e008b0
' ' <repeats 51 times>
(gdb) pgrowx it->glyph_row
TEXT: 56 glyphs
  0    0: ../../gdb/value.c:571: internal-error: set_value_address: Assertion `value->lval != lval_internalvar && value->lval != lval_internalvar_component' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) [answered Y; input not from terminal]
../../gdb/value.c:571: internal-error: set_value_address: Assertion `value->lval != lval_internalvar && value->lval != lval_internalvar_component' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) [answered Y; input not from terminal]
アボートしました
amur:~/git/build-emacs/emacs/src$ 
Backtrace:
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x55fbdc]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x538fd4]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x538ec8]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x55fa31]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x538ee0]
/lib64/libpthread.so.0(+0xf5d0)[0x7ffff32705d0]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x4e0c9f]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x66329d]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x435193]
/home/yagnesh/git/build-emacs/emacs/src/emacs[0x434d64]
...
--8<---------------cut here---------------end--------------->8---

logged backtrace is attached.

Thanks.,
-- 
ఎందరో మహానుభావులు అందరికి వందనములు
YYR